Bug 3467 - trigger unable to process numerical result
: trigger unable to process numerical result
Status: RESOLVED FIXED
: MDS4
wsrf_trigger
: 4.0.0
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-06-10 17:07 by
Modified: 2005-07-20 16:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-10 17:07:47
Hi,

  When the trigger condition I have inserted into a trigger
service returns a value instead of a structure, trigger service
fail to accept it.

2005-06-09 17:02:14,918 ERROR impl.TriggerResource [Thread-17,deliver:341] When
evaluating XPath rule: org.apache.xpath.XPathException: Can not convert #NUMBER
to a NodeList!
2005-06-09 17:02:14,922 ERROR impl.TriggerResource [Thread-17,deliver:341] When
evaluating XPath rule: org.apache.xpath.XPathException: Can not convert #NUMBER
to a NodeList!
2005-06-09 17:02:14,925 ERROR impl.TriggerResource [Thread-17,deliver:341] When
evaluating XPath rule: org.apache.xpath.XPathException: Can not convert #NUMBER
to a NodeList!

What I had expected is for the result to be turned into well formed
xml structure and send to the runAction as stdin.

mei
------- Comment #1 From 2005-07-20 16:41:22 -------
Fixed for 4.0.1